jQuery(document).ready(function($) {

	var ajaxurl = kptp_php_vars.admin_url;
	var nonce = kptp_php_vars.nonce;
    $('.kptp_hide_categories').select2();
	$('.kptp_hide_products').select2({

		ajax: {

			url: ajaxurl, // AJAX URL is predefined in WordPress admin
			dataType: 'json',
			type: 'POST',
			delay: 250, // delay in ms while typing when to perform a AJAX search
			data: function (params) {
				return {
					q: params.term, // search query
					action: 'kptp_searchProducts', // AJAX action for admin-ajax.php
					nonce: nonce // AJAX nonce for admin-ajax.php
				};
			},
			processResults: function( data ) {
				var options = [];
				if ( data ) {
					// data is the array of arrays, and each of them contains ID and the Label of the option
					$.each( data, function( index, text ) { // do not forget that "index" is just auto incremented value
						options.push( { id: text[0], text: text[1]  } );
					});
				}
				return {
					results: options
				};
			},
			cache: true
		},

		multiple: true,
		placeholder: 'Choose Products',
		minimumInputLength: 3 // the minimum of symbols to input before perform a search

	});

	$("#kptp_select_opt").change(function(){
        $( "#kptp_select_opt option:selected").each(function(){
            if($(this).attr("value")=="kptp_custom_wp_pages"){
                $(".kptp-optp").hide();
                $(".dis_kptp_wp_pages").show();
            }
            if($(this).attr("value")=="kptp_builtin_templates"){
                $(".kptp-optp").hide();
                $(".kptp_builtin_templates").show();
                $(".kptp-builtin-temp-opt-box").show();
            }
            if($(this).attr("value")=="kptp_custom_templates"){
                $(".kptp-optp").hide();
                $("#kptp_custom_template_box").show();
            }
            if($(this).attr("value")=="kptp_external_url"){
                $(".kptp-optp").hide();
                $(".kptp_custom_url").show();
            }
        });
    }).change();


    $('#kptp_custom_template_box').addClass('kptp-optp');


    $("#kptp_select_temp").change(function(){
        $( "#kptp_select_temp option:selected").each(function(){
            if($(this).attr("value")=="kptp_thankyou_cptp_template_one"){
                $(".kptp-optpsss").hide();
                $(".kptp-temp-one-img").show();
            }
            if($(this).attr("value")=="kptp_thankyou_cptp_template_two"){
                $(".kptp-optpsss").hide();
                $(".kptp-temp-two-img").show();
            }
            if($(this).attr("value")=="kptp_thankyou_cptp_template_three"){
                $(".kptp-optpsss").hide();
                $(".kptp-temp-three-img").show();
            }
             if($(this).attr("value")=="kptp_thankyou_cptp_template_four"){
                $(".kptp-optpsss").hide();
                $(".kptp-temp-four-img").show();
            }
             if($(this).attr("value")=="kptp_thankyou_cptp_template_five"){
                $(".kptp-optpsss").hide();
                $(".kptp-temp-five-img").show();
            }
             if($(this).attr("value")=="kptp_thankyou_cptp_template_six"){
                $(".kptp-optpsss").hide();
                $(".kptp-temp-six-img").show();
            }
        });
    }).change();

});



jQuery( function($) {
	
	// Enable Builtin Template Title Checkbox.
	// On change.
	$('#kptp_enable_temp_title_toggle').change(function () {
		if (this.checked) {
			//  ^
			$('.kptp_enable_temp_title').fadeIn('slow');
			$(".kfaq_enable_faqs_on_pro").parents("li").show('slow');
		} else {
			$('.kptp_enable_temp_title').fadeOut('slow');
			$(".kptp_enable_temp_title").parents("li").hide('slow');
		}
	});
	//On Load
	if ($("#kptp_enable_temp_title_toggle").is(':checked')) {
		$(".kptp_enable_temp_title").show();  // checked
		$(".kptp_enable_temp_title").parents("li").show('slow');
	} else {
		$(".kptp_enable_temp_title").hide();
		$(".kptp_enable_temp_title").parents("li").hide('slow');
	}
	$('#kptp_coupon_box_title').change(function () {
		if (this.checked) {
			//  ^
			$('.kptp_coupon_field_title').fadeIn('slow');
			$(".kptp_coupon_field_title").parents("li").show('slow');
		} else {
			$('.kptp_coupon_field_title').fadeOut('slow');
			$(".kptp_coupon_field_title").parents("li").hide('slow');
		}
	});
	//On Load
	if ($("#kptp_coupon_box_title").is(':checked')) {
		$(".kptp_coupon_field_title").show();  // checked
		$(".kptp_coupon_field_title").parents("li").show('slow');
	} else {
		$(".kptp_coupon_field_title").hide();
		$(".kptp_coupon_field_title").parents("li").hide('slow');
	}

	
	// On change.
	$('#kptp_enable_temp_des_toggle').change(function () {
		if (this.checked) {
			//  ^
			$('.kptp_builtin_temp_greeting_msg').fadeIn('slow');
			$(".kptp_builtin_temp_greeting_msg").parents("li").show('slow');
		} else {
			$('.kptp_builtin_temp_greeting_msg').fadeOut('slow');
			$(".kptp_builtin_temp_greeting_msg").parents("li").hide('slow');
		}
	});
	//On Load
	if ($("#kptp_enable_temp_des_toggle").is(':checked')) {
		$(".kptp_builtin_temp_greeting_msg").show();  // checked
		$(".kptp_builtin_temp_greeting_msg").parents("li").show('slow');
	} else {
		$(".kptp_builtin_temp_greeting_msg").hide();
		$(".kptp_builtin_temp_greeting_msg").parents("li").hide('slow');
	}



	// Enable Cross Sells Products Checkbox.
	// On change.
	$('#kptp_enable_cross_sell_toggle').change(function () {
		if (this.checked) {
			//  ^
			$('.kptp_cross_sell_sect_title').fadeIn('slow');
			$(".kptp_cross_sell_sect_title").parents("li").show('slow');
		} else {
			$('.kptp_cross_sell_sect_title').fadeOut('slow');
			$(".kptp_cross_sell_sect_title").parents("li").hide('slow');
		}
	});
	//On Load
	if ($("#kptp_enable_cross_sell_toggle").is(':checked')) {
		$(".kptp_cross_sell_sect_title").show();  // checked
		$(".kptp_cross_sell_sect_title").parents("li").show('slow');
	} else {
		$(".kptp_cross_sell_sect_title").hide();
		$(".kptp_cross_sell_sect_title").parents("li").hide('slow');
	}



	// Enable Up-Sells Products Checkbox.
	// On change.
	$('#kptp_enable_up_sell_toggle').change(function () {
		if (this.checked) {
			//  ^
			$('.kptp_up_sell_sect_title').fadeIn('slow');
			$(".kptp_up_sell_sect_title").parents("li").show('slow');
		} else {
			$('.kptp_up_sell_sect_title').fadeOut('slow');
			$(".kptp_up_sell_sect_title").parents("li").hide('slow');
		}
	});
	//On Load
	if ($("#kptp_enable_up_sell_toggle").is(':checked')) {
		$(".kptp_up_sell_sect_title").show();  // checked
		$(".kptp_up_sell_sect_title").parents("li").show('slow');
	} else {
		$(".kptp_up_sell_sect_title").hide();
		$(".kptp_up_sell_sect_title").parents("li").hide('slow');
	}


	// Enable Social Box Checkbox.
	// On change.
	$('#kptp_enable_social_box_toggle').change(function () {
		if (this.checked) {
			//  ^
			$('.kptp_social_box_sect_title').fadeIn('slow');
			$(".kptp_social_box_sect_title").parents("li").show('slow');
		} else {
			$('.kptp_social_box_sect_title').fadeOut('slow');
			$(".kptp_social_box_sect_title").parents("li").hide('slow');
		}
	});
	//On Load
	if ($("#kptp_enable_social_box_toggle").is(':checked')) {
		$(".kptp_social_box_sect_title").show();  // checked
		$(".kptp_social_box_sect_title").parents("li").show('slow');
	} else {
		$(".kptp_social_box_sect_title").hide();
		$(".kptp_social_box_sect_title").parents("li").hide('slow');
	}




	$("#kptp_all_roles").change(function() {
        if (this.checked) {
            $(".kptp_customer_roles").each(function() {
                this.checked=true;
            });
        } else {
            $(".kptp_customer_roles").each(function() {
                this.checked=false;
            });
        }
    });

});
jQuery(document).ready(function($) {
    $('.kptp_customer_roles').select2({
        placeholder: 'Select User Roles'
    });
});
jQuery(document).ready(function($) {
    // Target the "page attributes" meta box
    var $pageAttributesMetaBox = $('#pageparentdiv');

    if ($pageAttributesMetaBox.length > 0) {
        // Find the input field for the "order"
        var $orderInput = $pageAttributesMetaBox.find('#menu_order');

        if ($orderInput.length > 0) {
            // Change the input type to number and set minimum value to 0
            $orderInput.attr('type', 'number').attr('min', 0);
        }
    }
});
jQuery(document).ready(function($) {
    // Check initial state and toggle visibility of social links
    if ($('#kptp_enable_social_box_toggle').is(':checked')) {
        $('.kptp_social_links').show();
    }

    // Toggle visibility when checkbox is clicked
    $('#kptp_enable_social_box_toggle').on('change', function() {
        if ($(this).is(':checked')) {
            $('.kptp_social_links').slideDown();
        } else {
            $('.kptp_social_links').slideUp();
        }
    });
});





